| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_dir.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Macros
#define | DATATYPE_VOID 0 /* !untyped data */
#define | DATATYPE_INT 1 /* !signed integer data */
#define | DATATYPE_UINT 2 /* !unsigned integer data */
#define | DATATYPE_IEEEFP 3 /* !IEEE floating point data */
#define | EXTRASAMPLE_COREL_UNASSALPHA 999
#define | CleanupField(member)

## Functions
void | _TIFFsetByteArray (void **vpp, void *vp, uint32 n)
void | _TIFFsetString (char **cpp, char *cp)
void | _TIFFsetNString (char **cpp, char *cp, uint32 n)
void | _TIFFsetShortArray (uint16 **wpp, uint16 *wp, uint32 n)
void | _TIFFsetLongArray (uint32 **lpp, uint32 *lp, uint32 n)
void | _TIFFsetFloatArray (float **fpp, float *fp, uint32 n)
void | _TIFFsetDoubleArray (double **dpp, double *dp, uint32 n)
int | TIFFSetField (TIFF *tif, ttag_t tag,...)
int | TIFFVSetField (TIFF *tif, ttag_t tag, va_list ap)
int | TIFFGetField (TIFF *tif, ttag_t tag,...)
int | TIFFVGetField (TIFF *tif, ttag_t tag, va_list ap)
void | TIFFFreeDirectory (TIFF *tif)
TIFFExtendProc | TIFFSetTagExtender (TIFFExtendProc extender)
int | TIFFCreateDirectory (TIFF *tif)
int | TIFFDefaultDirectory (TIFF *tif)
tdir_t | TIFFNumberOfDirectories (TIFF *tif)
int | TIFFSetDirectory (TIFF *tif, tdir_t dirn)
int | TIFFSetSubDirectory (TIFF *tif, uint32 diroff)
uint32 | TIFFCurrentDirOffset (TIFF *tif)
int | TIFFLastDirectory (TIFF *tif)
int | TIFFUnlinkDirectory (TIFF *tif, tdir_t dirn)
int | TIFFReassignTagToIgnore (enum TIFFIgnoreSense task, int TIFFtagID)

## Macro Definition Documentation

#define CleanupField | ( |  | member | ) |

Value:
{ \
if (td->member) { \
_TIFFfree(td->member); \
td->member = 0; \
} \
}
_TIFFfree
void _TIFFfree(tdata_t p)
Definition: tif_acorn.c:467

Definition at line 976 of file tif_dir.c.

#define DATATYPE_IEEEFP 3 /* !IEEE floating point data */

Definition at line 41 of file tif_dir.c.

#define DATATYPE_INT 1 /* !signed integer data */

Definition at line 39 of file tif_dir.c.

#define DATATYPE_UINT 2 /* !unsigned integer data */

Definition at line 40 of file tif_dir.c.

#define DATATYPE_VOID 0 /* !untyped data */

Definition at line 38 of file tif_dir.c.

#define EXTRASAMPLE_COREL_UNASSALPHA 999

## Function Documentation

void _TIFFsetByteArray | ( | void ** | vpp,
|  | void * | vp,
|  | uint32 | n
| ) |  |

Definition at line 56 of file tif_dir.c.

void _TIFFsetDoubleArray | ( | double ** | dpp,
|  | double * | dp,
|  | uint32 | n
| ) |  |

Definition at line 68 of file tif_dir.c.

void _TIFFsetFloatArray | ( | float ** | fpp,
|  | float * | fp,
|  | uint32 | n
| ) |  |

Definition at line 66 of file tif_dir.c.

void _TIFFsetLongArray | ( | uint32 ** | lpp,
|  | uint32 * | lp,
|  | uint32 | n
| ) |  |

Definition at line 64 of file tif_dir.c.

void _TIFFsetNString | ( | char ** | cpp,
|  | char * | cp,
|  | uint32 | n
| ) |  |

Definition at line 60 of file tif_dir.c.

void _TIFFsetShortArray | ( | uint16 ** | wpp,
|  | uint16 * | wp,
|  | uint32 | n
| ) |  |

Definition at line 62 of file tif_dir.c.

void _TIFFsetString | ( | char ** | cpp,
|  | char * | cp
| ) |  |

Definition at line 58 of file tif_dir.c.

int TIFFCreateDirectory | ( | TIFF * | tif | ) |

Definition at line 1040 of file tif_dir.c.

uint32 TIFFCurrentDirOffset | ( | TIFF * | tif | ) |

Definition at line 1242 of file tif_dir.c.

int TIFFDefaultDirectory | ( | TIFF * | tif | ) |

Definition at line 1056 of file tif_dir.c.

void TIFFFreeDirectory | ( | TIFF * | tif | ) |

Definition at line 987 of file tif_dir.c.

int TIFFGetField | ( | TIFF * | tif,
|  | ttag_t | tag,
|  |  | ...
| ) |  |

Definition at line 951 of file tif_dir.c.

int TIFFLastDirectory | ( | TIFF * | tif | ) |

Definition at line 1252 of file tif_dir.c.

tdir_t TIFFNumberOfDirectories | ( | TIFF * | tif | ) |

Definition at line 1181 of file tif_dir.c.

int TIFFReassignTagToIgnore | ( | enum TIFFIgnoreSense | task,
|  | int | TIFFtagID
| ) |  |

Definition at line 1341 of file tif_dir.c.

int TIFFSetDirectory | ( | TIFF * | tif,
|  | tdir_t | dirn
| ) |  |

Definition at line 1196 of file tif_dir.c.

int TIFFSetField | ( | TIFF * | tif,
|  | ttag_t | tag,
|  |  | ...
| ) |  |

Definition at line 649 of file tif_dir.c.

int TIFFSetSubDirectory | ( | TIFF * | tif,
|  | uint32 | diroff
| ) |  |

Definition at line 1227 of file tif_dir.c.

TIFFExtendProc TIFFSetTagExtender | ( | TIFFExtendProc | extender | ) |

Definition at line 1025 of file tif_dir.c.

int TIFFUnlinkDirectory | ( | TIFF * | tif,
|  | tdir_t | dirn
| ) |  |

Definition at line 1261 of file tif_dir.c.

int TIFFVGetField | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | va_list | ap
| ) |  |

Definition at line 969 of file tif_dir.c.

int TIFFVSetField | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | va_list | ap
| ) |  |

Definition at line 667 of file tif_dir.c.